"{ Package: 'stx:goodies/regression' }"

"{ NameSpace: RegressionTests }"

TestCase subclass:#PhonemStringComparatorTest
	instanceVariableNames:'sc'
	classVariableNames:''
	poolDictionaries:''
	category:'tests-Regression-Collections-Utilities'
!


!PhonemStringComparatorTest methodsFor:'running'!

setUp
    sc := PhoneticStringUtilities::PhonemStringComparator new

    "Modified: / 28-07-2017 / 16:03:19 / cg"
! !

!PhonemStringComparatorTest methodsFor:'tests'!

test02_WellKnownResults
    "tests some wellknown phonem codes"

    |code|

    ^ self.
    self skip:'Unshure, which implementation is correct'.
    
    "/ the following test vector is for another phonem implementation;
    "/ now, I don't know which one is correct...
    
    #(
        ('schneider'    'CNAYDR')
        ('fischer'      'VYCR')
        ('meyer'        'MAYR')
        ('mair'         'MAYR')
        ('schulz'       'CULC')
        ('becker'       'BCR')
        ('hoffmann'     'OVMAN')
        ('schaeffer'    'CVR')
        ('pfeifer'      'VAYVR')
        ('pfeiffer'     'VAYVR')
        
        ('Mller'       'MULR' )
        ('weber'        'BR')
        ('wagner'       'BACNR')
        ('bker'        'BACR')
        ('schfer'      'CAVR')
        ('computer'     'COMDUR')
    ) pairsDo:[:word :expectedCode |
        code := (sc phoneticStringsFor:word) first.
        self assert:(code = expectedCode).
    ].

    "Created: / 27-07-2017 / 15:14:59 / cg"
    "Modified: / 31-07-2017 / 17:54:31 / cg"
    "Modified (comment): / 03-08-2017 / 14:57:31 / cg"
! !

!PhonemStringComparatorTest class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !

